Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 34838 - Test InplaceEditor.connect
Test InplaceEditor.connect
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 29447
  Show dependency treegraph
 
Reported: 2003-07-09 16:34 UTC by Jaroslav Tulach
Modified: 2008-12-22 22:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-07-09 16:34:22 UTC
Following constract seems pretty fragile and hard
to keep when evolving the implementation. Please
make it more robust by writing a verification check:

The PropertyEditor instance will already be
initialized with the initial value, and if it is
an instance of ExPropertyEditor,
ExPropertyEditor.attachEnv(env)  will already have
been called. The PropertyEnv  instance is passed
to allow rendering hints to be passed to the
InplaceEditor instance.
Comment 1 _ tboudreau 2003-07-11 07:46:22 UTC
Okay, not a problem.  Re hard to keep, well it's mainly scoping
for the inplace editor - that the inplace editor will be 
responsible for presentation of a property editor, and firing
changes that may be applied to it, but the infrastructure that
instantiates it is responsible for any calls that set the value
of the property editor, and that the inplace editor does not
decide when or how the value is actually set - it can only 
communicate that it is ready for this to be done. 

Value setting code for property editors should be centralized
so there is a single contract that can be evolved without forcing
changes in anybody's inplace editors.
Comment 2 _ tboudreau 2003-07-14 14:55:57 UTC
Done.
Comment 3 Jaroslav Tulach 2003-07-15 09:08:11 UTC
Probably done in CustomInplaceEditorTest. Tim, can you set milestone
and tell me which test is doing this? 
Comment 4 _ tboudreau 2003-07-15 12:33:03 UTC
It's implicit in all of the tests - they cannot be tested without
being set to render a property correctly, which means connect() is
called.  If connect is broken for an inplace editor, it will 
definitely be caught by the test that fakes keyboard events.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo